version: "3"

volumes:
  production_postgres_data: {}
  production_postgres_data_backups: {}
  panda_media: {}

services:
  django:
    build:
      context: .
      dockerfile: ./compose/production/django/Dockerfile
    # image: registry.gitlab.com/min-jus-gba-informatica-global/min-jus-gba-informatica/bi/panda-pba/server:0.0.4
    ports:
      - "80:5000"
    environment:
      USE_DOCKER: 1
      IPYTHONDIR: /app/.ipython
      DJANGO_SETTINGS_MODULE: config.settings.production
      DJANGO_SECRET_KEY: asdfsadf3q145234sdfas
      DB_HOST: mysql
      LVI_HOST: 10.25.1.16
      LVI_DB: preproduccion
      LVI_USER: asdasd
      LVI_PASS: asdasdasd
      DATABASE_URL: postgres://db-local:db-pass-local@postgres:5432/panda
      POSTGRES_HOST: postgres
      POSTGRES_PORT: 5432
      POSTGRES_DB: panda
      POSTGRES_USER: db-local
      POSTGRES_PASSWORD: db-pass-local
    command: /start
    depends_on:
      postgres:
        condition: service_healthy
    volumes:
      - panda_media:/app/media

  postgres:
    # build:
    #   context: .
    #   dockerfile: ./compose/production/postgres/Dockerfile
    image: postgres:13.2
    ports:
      - "10300:5432"
    volumes:
      - production_postgres_data:/var/lib/postgresql/data:Z
      - production_postgres_data_backups:/backups:z
    environment:
      POSTGRES_HOST: postgres
      POSTGRES_PORT: 5432
      POSTGRES_DB: panda
      POSTGRES_USER: db-local
      POSTGRES_PASSWORD: db-pass-local
    healthcheck:
      test: ["CMD-SHELL", "pg_isready"]
      interval: 10s
      timeout: 5s
      retries: 5

  docs:
    # image: registry.gitlab.com/min-jus-gba-informatica-global/min-jus-gba-informatica/bi/panda-pba/doc:0.0.4
    build:
      context: .
      dockerfile: ./compose/production/docs/Dockerfile
      target: server
    # environment:
    #   USE_DOCKER: 1
    #   IPYTHONDIR: /app/.ipython
    #   DJANGO_SETTINGS_MODULE: config.settings.production
    #   DJANGO_SECRET_KEY: asdfsadf3q145234sdfas
    #   DB_HOST: mysql
    #   LVI_HOST: 10.25.1.16
    #   LVI_DB: preproduccion
    #   LVI_USER: asdasdasd
    #   LVI_PASS: sadasd
    #   DATABASE_URL: postgres://db-local:db-pass-local@postgres:5432/panda
    #   POSTGRES_HOST: postgres
    #   POSTGRES_PORT: 5432
    #   POSTGRES_DB: panda
    #   POSTGRES_USER: db-local
    #   POSTGRES_PASSWORD: db-pass-local
    ports:
      - "7000:80"
    # command: sleep 4000

  # redis: 
  #   image: redis:7.0.4-alpine
